org.jboss.jca.core.spi.transaction.local

## Class LocalXAException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.transaction.xa.XAException
      - - org.jboss.jca.core.spi.transaction.local.LocalXAException

- All Implemented Interfaces:
    java.io.Serializable

      public class LocalXAException
      extends javax.transaction.xa.XAException

  LocalXAException
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.transaction.xa.XAException

      `errorCode, XA_HEURCOM, XA_HEURHAZ, XA_HEURMIX, XA_HEURRB, XA_NOMIGRATE, XA_RBBASE, XA_RBCOMMFAIL, XA_RBDEADLOCK, XA_RBEND, XA_RBINTEGRITY, XA_RBOTHER, XA_RBPROTO, XA_RBROLLBACK, XA_RBTIMEOUT, XA_RBTRANSIENT, XA_RDONLY, XA_RETRY, XAER_ASYNC, XAER_DUPID, XAER_INVAL, XAER_NOTA, XAER_OUTSIDE, XAER_PROTO, XAER_RMERR, XAER_RMFAIL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalXAException(java.lang.String message, int errorcode)` Creates a new instance.
    `LocalXAException(java.lang.String message, int errorcode, java.lang.Throwable t)` Creates a new instance.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalXAException

          public LocalXAException(java.lang.String message,
                                  int errorcode)

      Creates a new instance.
      Parameters:
        `message` - message
        `errorcode` - error code

    - #### LocalXAException

          public LocalXAException(java.lang.String message,
                                  int errorcode,
                                  java.lang.Throwable t)

      Creates a new instance.
      Parameters:
        `message` - message
        `t` - cause
        `errorcode` - error code

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)